import { httpApp } from "@/plugins/axiosApp";
import { Setting, UISetting } from "@/types";

/** 获取评卷设置 */
export async function getSetting() {
  return httpApp.post("/mark/getSetting");
}

/** 获取评卷状态 */
export async function getStatus() {
  return httpApp.post("/mark/getStatus");
}

/** 获取评卷分组 */
export async function getGroup() {
  return httpApp.post("/mark/getGroup");
}

/** 获取评卷任务 */
export async function getTask() {
  return httpApp.post("/mark/getTask");
}

/** 更新评卷UI */
export async function updateUISetting(
  mode?: Setting["mode"],
  uiSetting?: UISetting
) {
  const form = new FormData();
  uiSetting && form.append("uiSetting", JSON.stringify(uiSetting));
  mode && form.append("mode", JSON.stringify(mode));
  return httpApp.post("/mark/updateSetting", form);
}
